| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.DNS
Protocols.DNS.client

# Method Protocols.DNS.client()->do_sync_query()

Method do_sync_query

  `mapping do_sync_query(string s)`

Description

  Perform a synchronous DNS query.

Parameter `s`

  result of Protocols.DNS.protocol.mkquery

Returns

  mapping containing query result or 0 on failure/timeout

Example

      // perform a hostname lookup, results stored in r->an
       object d=Protocols.DNS.client();
       mapping r=d->do_sync_query(d->mkquery("pike.ida.liu.se", C_IN, T_A));